Bug 8841 - Add MediaHarmony module
Add MediaHarmony module
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 enhancement
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 19:16 UTC by clawsoon
Modified: 2012-08-07 17:39 UTC (History)
1 user (show)

See Also:
anisimoff.m: review?


Attachments
Patches which add MediaHarmony functionality to current Samba (11.29 KB, application/gzip)
2012-04-04 19:16 UTC, clawsoon
no flags Details
MediaHarmony for Samba 3.6 (40.46 KB, application/x-gzip)
2012-04-18 16:28 UTC, clawsoon
no flags Details
MediaHarmony for Samba 3.6 (43.87 KB, application/x-gzip)
2012-05-03 14:53 UTC, clawsoon
no flags Details
MediaHarmony for Samba 3.6 (44.69 KB, application/x-gzip)
2012-05-03 15:28 UTC, clawsoon
no flags Details
Add media_harmony VFS module to git-latest Samba (57.46 KB, patch)
2012-05-03 17:56 UTC, clawsoon
no flags Details
Add media_harmony VFS module to git-latest Samba (v3) (66.70 KB, patch)
2012-05-03 21:22 UTC, clawsoon
clawsoon: review?
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clawsoon 2012-04-04 19:16:51 UTC
Created attachment 7424 [details]
Patches which add MediaHarmony functionality to current Samba

I would be pleased as punch if the Samba project would be willing and able to add the MediaHarmony module to Samba and have it built by default.

Patches against the current git tree are attached.  I don't see a way to add more than one attachment, so I've tgz'ed them together.

The original implementation is here:

http://ingex.sourceforge.net/MediaHarmony/

These patches implement only the media_harmony portion of the original functionality.  I'm evaluating the mxf_harmony functionality for a future project.

Thanks!
Comment 1 clawsoon 2012-04-18 16:28:42 UTC
Created attachment 7465 [details]
MediaHarmony for Samba 3.6

Here also is a patch against current Samba 3.6 sources for people who aren't on git-latest.
Comment 2 clawsoon 2012-05-03 14:53:43 UTC
Created attachment 7518 [details]
MediaHarmony for Samba 3.6
Comment 3 clawsoon 2012-05-03 14:57:11 UTC
Comment on attachment 7518 [details]
MediaHarmony for Samba 3.6

This release fixes some problems with the fake mtime functionality.  To work properly, it also needs:

https://bugzilla.samba.org/show_bug.cgi?id=8912
Comment 4 clawsoon 2012-05-03 15:28:54 UTC
Created attachment 7519 [details]
MediaHarmony for Samba 3.6

Fake mtime fixes plus trigger_avid_update.py sample script.
Comment 5 clawsoon 2012-05-03 15:50:26 UTC
(In reply to comment #4)
> Created attachment 7519 [details]
> MediaHarmony for Samba 3.6
> 
> Fake mtime fixes plus trigger_avid_update.py sample script.

Note: This latest tar.gz also contains the version of the lp_cache_locked_write_times patch (see bug 8912) that builds against Samba 3.6.
Comment 6 clawsoon 2012-05-03 17:56:27 UTC
Created attachment 7520 [details]
Add media_harmony VFS module to git-latest Samba

media_harmony VFS module: Add and build by default.

 - Supersedes previous patch.
 - Adds various fixes for fake mtime functionality.
 - Requires lp_cache_locked_write_times patch (bug 8912).
 - Removes various xattr functions to comply with recent VFS changes.
 - Changes SMB_STRUCT_DIR to DIR and SMB_STRUCT_DIRENT to struct dirent to comply with recent VFS changes.
Comment 7 Björn Jacke 2012-05-03 18:23:11 UTC
for completeness you might also add a patch for a man page. You could take one of the existing vfs_*.xml files as template.
Comment 8 clawsoon 2012-05-03 19:24:13 UTC
(In reply to comment #7)
> for completeness you might also add a patch for a man page. You could take one
> of the existing vfs_*.xml files as template.

Good idea; I'll work on that.

There's also a Python script I'd like to include that makes the per-client mtime control easier for the end user.  Could I put that somewhere like:

examples/scripts/vfs/media_harmony/trigger_avid_update.py

...or would there be a better place for it?

Thanks.

Andrew
Comment 9 clawsoon 2012-05-03 21:22:00 UTC
Created attachment 7521 [details]
Add media_harmony VFS module to git-latest Samba (v3)

Supersedes previous git-latest patches.  Compared to previous patch:

- Added manpage.
- Added sample trigger_avid_update.py script.

Andrew Klaassen
Comment 10 Björn Jacke 2012-08-07 17:32:32 UTC
thanks for the man page writeup! It's checked in to master now so that people can easily use it, looks nice. Please keep sending us fixes for that if you have any. We might also assign bug reports related to this module to you - that's the price for having this upstream ;-). JFYI: I had to make some formating fixes to make it cleanly apply to master and I just checked in some "void cannot return something" fixes that broke the Solaris build.
Comment 11 clawsoon 2012-08-07 17:39:53 UTC
(In reply to comment #10)
> thanks for the man page writeup! It's checked in to master now so that people
> can easily use it, looks nice. Please keep sending us fixes for that if you
> have any. We might also assign bug reports related to this module to you -
> that's the price for having this upstream ;-). JFYI: I had to make some
> formating fixes to make it cleanly apply to master and I just checked in some
> "void cannot return something" fixes that broke the Solaris build.

Great, thanks!

FWIW:

 - We've been running this module for a few months without any problems.

 - For the module to work fully, this patch also needs to be applied:

https://bugzilla.samba.org/show_bug.cgi?id=8912

Thanks again.

Andrew